KIE.AI
All Model
  • All Model
  • Old Model
language
language
  • 🇺🇸 English
  • 🇨🇳 Chinese
language
language
  • 🇺🇸 English
  • 🇨🇳 Chinese
Support
All Model
  • All Model
  • Old Model
All Model
  • All Model
  • Old Model
MarketFile Upload APICommon API
AI Agents
MarketFile Upload APICommon API
AI Agents
  1. Common API
  • Common API Quickstart
  • Webhook Security Verification
  • Get Remaining Credits
    GET
  • Get Download URL for Generated Files
    POST
  1. Common API

Get Download URL for Generated Files

POST
/api/v1/common/download-url

Get Download Link for Generated Files#

Convert generated file URLs into downloadable temporary links. Only supports files generated by kie.ai services.

Features#

Convert kie.ai generated file URLs into downloadable links
Accepts file URLs from task results (such as resultUrls or audio_url). URLs from the File Upload API are not supported.
Temporary download links are valid for 20 minutes
Secure access to generated content
Protected by API Key authentication

Important Notes#

Accepts file URLs from task results (such as resultUrls or audio_url). URLs from the File Upload API are not supported.
Downloadable links expire after 20 minutes. Please ensure you download or cache content within this timeframe.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Request successful
Bodyapplication/json

🔴500Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.kie.ai/api/v1/common/download-url' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
  "url": "https://tempfile.aiquickdraw.com/path/to/image.jpg"
}'
Response Response Example
200 - Successful Example
{
    "code": 200,
    "msg": "success",
    "data": "https://tempfile.1f6cxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxbd98"
}
Previous
Get Remaining Credits
Built with